## EFilterElement

EFilterElement

## Functions

EFilterElement * | e_filter_element_new ()
void | e_filter_element_set_data ()
gboolean | e_filter_element_validate ()
gint | e_filter_element_eq ()
void | e_filter_element_xml_create ()
xmlNodePtr | e_filter_element_xml_encode ()
gint | e_filter_element_xml_decode ()
EFilterElement * | e_filter_element_clone ()
void | e_filter_element_copy_value ()
GtkWidget * | e_filter_element_get_widget ()
void | e_filter_element_build_code ()
void | e_filter_element_format_sexp ()

## Types and Values

struct | EFilterElement

## Object Hierarchy

        GObject
        ╰── EFilterElement
            ├── EFilterInput
            ├── EFilterColor
            ├── EFilterDatespec
            ├── EFilterFile
            ├── EFilterInt
            ╰── EFilterOption

## Description

## Functions

### e_filter_element_new ()

    EFilterElement *
    e_filter_element_new (void);

### e_filter_element_set_data ()

    void
    e_filter_element_set_data (EFilterElement *element,
                               gpointer data);

### e_filter_element_validate ()

    gboolean
    e_filter_element_validate (EFilterElement *element,
                               EAlert **alert);

### e_filter_element_eq ()

    gint
    e_filter_element_eq (EFilterElement *element_a,
                         EFilterElement *element_b);

### e_filter_element_xml_create ()

    void
    e_filter_element_xml_create (EFilterElement *element,
                                 xmlNodePtr node);

### e_filter_element_xml_encode ()

    xmlNodePtr
    e_filter_element_xml_encode (EFilterElement *element);

### e_filter_element_xml_decode ()

    gint
    e_filter_element_xml_decode (EFilterElement *element,
                                 xmlNodePtr node);

### e_filter_element_clone ()

    EFilterElement *
    e_filter_element_clone (EFilterElement *element);

### e_filter_element_copy_value ()

    void
    e_filter_element_copy_value (EFilterElement *dst_element,
                                 EFilterElement *src_element);

### e_filter_element_get_widget ()

    GtkWidget *
    e_filter_element_get_widget (EFilterElement *element);

### e_filter_element_build_code ()

    void
    e_filter_element_build_code (EFilterElement *element,
                                 GString *out,
                                 struct _EFilterPart *part);

### e_filter_element_format_sexp ()

    void
    e_filter_element_format_sexp (EFilterElement *element,
                                  GString *out);

## Types and Values

### struct EFilterElement

    struct EFilterElement;